<?php


function ir_getConfigArray() {

	$configarray = array(
	 "access_code" => array( "Type" => "text", "Size" => "36",  "Required" => true, "Description" => "لطفا کد دسترسی را وارد کنید" ),
	 "irtld_smsnumber" => array( "Type" => "text", "Size" => "36",  "Required" => true, "Description" => "خط اس ام اس خودر را وارد کنید" ),
	 "irtld_smsuser" => array( "Type" => "text", "Size" => "36",  "Required" => true, "Description" => " لطفا نام کاربری پنل اس ام اس را وارد کنید" ),
	 "irtld_smspassword" => array( "Type" => "text", "Size" => "36",  "Required" => true, "Description" => "لطفا کلمه عبور پنل اس ام اس را وارد کنید" ),
     "irtld_fieldcustom" => array( "Type" => "text", "Size" => "36",  "Required" => true, "Description" => "نام فیلد اضافی برای دریافت Nic Handler" ),
     "irtld_admincellphone" => array( "Type" => "text", "Size" => "36",  "Required" => true, "Description" => "شماره همراه مدیر" ),
     "irtld_smsurl" => array( "Type" => "text", "Size" => "36",  "Required" => true, "Description" => "آدرس url پنل اس ام اس" )
	);

	return $configarray;
}

function ir_RegisterDomain($params) {
    $err_list[-1]="ساختار نیک هندل اشتباه است .";
    $err_list[-2]="ساختار نام دامنه اشتباه است .";
    $err_list[-3]="ساختار ادرس پست الکترونیک اشتباه است .";
    $err_list[-4]="ساختار تاریخ وارد شده اشتباه است .";
    $err_list[-5]="ساختار اسم وارد شده اشتباه است .";
    $err_list[-6]="ساختار تلفن وارد شده اشتباه است .";
    $err_list[-7]="ساختار کد پستی وارد شده اشتباه است .";
    $err_list[-8]="کد کشور وارد شده اشتباه است .";
    $err_list[-9]="کد آموزشی وارد شده اشتباه است .";
    $err_list[-10]="کد دولتی وارد شده اشتباه است .";
    $err_list[-11]="کد موسسه وارد شده اشتباه است .";
    $err_list[-12]="مقدار ورودی مدت زمان دوره اشتباه است .";
    $err_list[-13]="ساختار هاست وارد شده اشتباه است .";
    $err_list[-14]="ساختار آدرس IPوارد شده اشتباه است .";
    $err_list[-101]="دامنه در حال انتظار تائید از طرف ایرنیک است .";
    $err_list[-102]="رمز انتقال دامنه اشتباه است .";
    $err_list[-103]="مقدار موجودی شما جهت انتقال دامنه کم است .";
    $err_list[-104]="نیک هندل وارد شده صحیح نمی باشد .";
    $err_list[-105]="دامنه انتخاب نشده است .";
    $err_list[-106]="دامنه مد نظر شما قفل میباشد.با مدیر سیستم تماس بگیرید .";
    $err_list[-107]="رابط نمایندگی دامنه تنظیم نیست .";
    $err_list[-108]="مقدار ورودی برای نوع عملیات صحیح نمی باشد .";
    $err_list[-109]="برای دامنه ورودی مقدار ارزشی وجود ندارد .";
    $err_list[-110]="دامنه ثبت شده است و قابل ثبت نیست .";
    $err_list[-111]="این ادرس ایمیل در سرویس ایرنیک تعریف نشده است .";
    $err_list[-112]="ایجاد هندل با مشکل مواجه شده است .";
    $err_list[-113]="ثبت دامنه با مشکل مواجه شده است .";
    $err_list[-114]="دامنه ورودی موجود نیست .";
    $err_list[-115]="تمدید دامنه با مشکل مواجه شده است .";
    $sms_url = $params["irtld_smsurl"];

    $ac = $params["access_code"];
	$domain_name = $params["sld"].".".$params["tld"];
	$holder_id = $params["additionalfields"]["IrNic Holder"];
	$cycle= $params["regperiod"];
	$hostname1 = $params["ns1"];
	$hostname2 = $params["ns2"];
	$ac = $params["access_code"];
	$url = "http://www.ir.nicpanel.com/resellers/apicore.php?ac=$ac";
	$url .= "&function=register_domain&domain=";
	$url .= $domain_name;
	$url .= "&cycle=";
	$url .= $cycle;
	$url .= "&holder_id=";
	$url .= $holder_id;
	$url .= "&admin_id=";
	$url .= $holder_id;
	$url .= "&technical_id=";
	$url .= $holder_id;
	$url .= "&billing_id=";
	$url .= $holder_id;
	$url .= "&host_name1=";
	$url .= $hostname1;
	$url .= "&host_name2=";
	$url .= $hostname2;

	$res = file_get_contents($url);
	$p = strpos($res, ";;");
	$result = substr($res, 0, $p);
	$res = substr($res, $p+2);
	$array= unserialize($res);
	$err = $array["error_code"];

	
	if (trim($result)!="ok")
	{
		$values["error"] = "error number = ".$err;
         $sms_url = str_replace("{admin}", $params["irtld_admincellphone"], $sms_url);
        $sms_url = str_replace("{smsnumber}", $params["irtld_smsnumber"], $sms_url);
        $sms_url = str_replace("{smsuser}", $params["irtld_smsuser"], $sms_url);
        $sms_url = str_replace("{smspassword}", $params["irtld_smspassword"], $sms_url);
        $sms_url = str_replace("{msg}", $domain_name . " - " . $err_list[$err], $sms_url);
        file_get_contents($sms_url);
	}

	$myFile = $_SERVER['DOCUMENT_ROOT']."/irtld_log.txt";
	$fh = fopen($myFile, 'a');
	fwrite($fh, "renew_domain => ".$domain_name."  -  ".$holder_id."  -  ".$res." - " . $ac ."  -  ".$err."\r\n");
	fclose($fh);
	
	return $values;
}

function ir_RenewDomain($params) {

    $sms_url = $params["irtld_smsurl"];
    $err_list[-1]="ساختار نیک هندل اشتباه است .";
    $err_list[-2]="ساختار نام دامنه اشتباه است .";
    $err_list[-3]="ساختار ادرس پست الکترونیک اشتباه است .";
    $err_list[-4]="ساختار تاریخ وارد شده اشتباه است .";
    $err_list[-5]="ساختار اسم وارد شده اشتباه است .";
    $err_list[-6]="ساختار تلفن وارد شده اشتباه است .";
    $err_list[-7]="ساختار کد پستی وارد شده اشتباه است .";
    $err_list[-8]="کد کشور وارد شده اشتباه است .";
    $err_list[-9]="کد آموزشی وارد شده اشتباه است .";
    $err_list[-10]="کد دولتی وارد شده اشتباه است .";
    $err_list[-11]="کد موسسه وارد شده اشتباه است .";
    $err_list[-12]="مقدار ورودی مدت زمان دوره اشتباه است .";
    $err_list[-13]="ساختار هاست وارد شده اشتباه است .";
    $err_list[-14]="ساختار آدرس IPوارد شده اشتباه است .";
    $err_list[-101]="دامنه در حال انتظار تائید از طرف ایرنیک است .";
    $err_list[-102]="رمز انتقال دامنه اشتباه است .";
    $err_list[-103]="مقدار موجودی شما جهت انتقال دامنه کم است .";
    $err_list[-104]="نیک هندل وارد شده صحیح نمی باشد .";
    $err_list[-105]="دامنه انتخاب نشده است .";
    $err_list[-106]="دامنه مد نظر شما قفل میباشد.با مدیر سیستم تماس بگیرید .";
    $err_list[-107]="رابط نمایندگی دامنه تنظیم نیست .";
    $err_list[-108]="مقدار ورودی برای نوع عملیات صحیح نمی باشد .";
    $err_list[-109]="برای دامنه ورودی مقدار ارزشی وجود ندارد .";
    $err_list[-110]="دامنه ثبت شده است و قابل ثبت نیست .";
    $err_list[-111]="این ادرس ایمیل در سرویس ایرنیک تعریف نشده است .";
    $err_list[-112]="ایجاد هندل با مشکل مواجه شده است .";
    $err_list[-113]="ثبت دامنه با مشکل مواجه شده است .";
    $err_list[-114]="دامنه ورودی موجود نیست .";
    $err_list[-115]="تمدید دامنه با مشکل مواجه شده است .";
	$ac = $params["access_code"];
	$domain_name = $params["sld"].".".$params["tld"];
	$cycle= $params["regperiod"];


	$url = "http://www.ir.nicpanel.com/resellers/apicore.php?ac=$ac";
	$url .= "&function=check_renew_domain&domain=";
	$url .= $domain_name;
	$url .= "&cycle=";
	$url .= $cycle;
	$res = file_get_contents($url);
	$p = strpos($res, ";;");
	$result = substr($res, 0, $p);
	$res = substr($res, $p+2);
	$array= unserialize($res);
	$err = $array["error_code"];
	if ($err == "106")
	{
		$values["error"] = "خطا: دامنه منقضی شده است";
        $sms_url = str_replace("{admin}", $params["irtld_admincellphone"], $sms_url);
        $sms_url = str_replace("{smsnumber}", $params["irtld_smsnumber"], $sms_url);
        $sms_url = str_replace("{smsuser}", $params["irtld_smsuser"], $sms_url);
        $sms_url = str_replace("{smspassword}", $params["irtld_smspassword"], $sms_url);
        $sms_url = str_replace("{msg}", $domain_name . " - " . $err_list[$err], $sms_url);
        file_get_contents($sms_url);
	}
	else
	{
        $url = "http://www.ir.nicpanel.com/resellers/apicore.php?ac=$ac";
        $url .= "&function=renew_domain&domain=";
        $url .= $domain_name;
        $url .= "&cycle=";
        $url .= $cycle;
        $res = file_get_contents($url);
        $p = strpos($res, ";;");
        $result = substr($res, 0, $p);
        $res = substr($res, $p+2);
        $array= unserialize($res);
        $err = $array["error_code"];
        if (trim($result)!="ok")
        {
            $values["error"] = "error = ".$err;
             $sms_url = str_replace("{admin}", $params["irtld_admincellphone"], $sms_url);
        $sms_url = str_replace("{smsnumber}", $params["irtld_smsnumber"], $sms_url);
        $sms_url = str_replace("{smsuser}", $params["irtld_smsuser"], $sms_url);
        $sms_url = str_replace("{smspassword}", $params["irtld_smspassword"], $sms_url);
        $sms_url = str_replace("{msg}", $domain_name . " - " . $err_list[$err], $sms_url);
        file_get_contents($sms_url);
        }
	}
	
	$myFile = $_SERVER['DOCUMENT_ROOT']."/irtld_log.txt";
	$fh = fopen($myFile, 'a');
	fwrite($fh, "renew_domain => ".$domain_name."  -  ".$res." - " . $ac ."  -  ".$err."\r\n");
	fclose($fh);
	
	return $values;
}

function ir_TransferDomain($params) {
    $sms_url = $params["irtld_smsurl"];
    $err_list[-1]="ساختار نیک هندل اشتباه است .";
    $err_list[-2]="ساختار نام دامنه اشتباه است .";
    $err_list[-3]="ساختار ادرس پست الکترونیک اشتباه است .";
    $err_list[-4]="ساختار تاریخ وارد شده اشتباه است .";
    $err_list[-5]="ساختار اسم وارد شده اشتباه است .";
    $err_list[-6]="ساختار تلفن وارد شده اشتباه است .";
    $err_list[-7]="ساختار کد پستی وارد شده اشتباه است .";
    $err_list[-8]="کد کشور وارد شده اشتباه است .";
    $err_list[-9]="کد آموزشی وارد شده اشتباه است .";
    $err_list[-10]="کد دولتی وارد شده اشتباه است .";
    $err_list[-11]="کد موسسه وارد شده اشتباه است .";
    $err_list[-12]="مقدار ورودی مدت زمان دوره اشتباه است .";
    $err_list[-13]="ساختار هاست وارد شده اشتباه است .";
    $err_list[-14]="ساختار آدرس IPوارد شده اشتباه است .";
    $err_list[-101]="دامنه در حال انتظار تائید از طرف ایرنیک است .";
    $err_list[-102]="رمز انتقال دامنه اشتباه است .";
    $err_list[-103]="مقدار موجودی شما جهت انتقال دامنه کم است .";
    $err_list[-104]="نیک هندل وارد شده صحیح نمی باشد .";
    $err_list[-105]="دامنه انتخاب نشده است .";
    $err_list[-106]="دامنه مد نظر شما قفل میباشد.با مدیر سیستم تماس بگیرید .";
    $err_list[-107]="رابط نمایندگی دامنه تنظیم نیست .";
    $err_list[-108]="مقدار ورودی برای نوع عملیات صحیح نمی باشد .";
    $err_list[-109]="برای دامنه ورودی مقدار ارزشی وجود ندارد .";
    $err_list[-110]="دامنه ثبت شده است و قابل ثبت نیست .";
    $err_list[-111]="این ادرس ایمیل در سرویس ایرنیک تعریف نشده است .";
    $err_list[-112]="ایجاد هندل با مشکل مواجه شده است .";
    $err_list[-113]="ثبت دامنه با مشکل مواجه شده است .";
    $err_list[-114]="دامنه ورودی موجود نیست .";
    $err_list[-115]="تمدید دامنه با مشکل مواجه شده است .";
	$ac = $params["access_code"];
	$domain_name = $params["sld"].".".$params["tld"];
	$cycle= 1;
    $authid = $params["transfersecret"];
    $userSql = "SELECT `b`.`value` as `irnic_holder`
        FROM `tblclients` as `a`
        JOIN `tblcustomfieldsvalues` as `b` ON `b`.`relid` = `a`.`id`
        JOIN `tblcustomfields` as `c` ON `c`.`id` = `b`.`fieldid`
        WHERE `a`.`id` = '" . $params["userid"] . "'
        AND `c`.`fieldname` = '". $params["irtld_fieldcustom"] . "'
        LIMIT 1";
    $result = mysql_query($userSql);
    $UserInformation = mysql_fetch_assoc($result);

$checked = "";

    $holder_id = $UserInformation["irnic_holder"];

	$url = "http://www.ir.nicpanel.com/resellers/apicore.php?ac=$ac";
	$url .= "&function=check_renew_domain&domain=";
	$url .= $domain_name;
	$url .= "&cycle=";
	$url .= $cycle;
	$res = file_get_contents($url);
	$p = strpos($res, ";;");
	$result = substr($res, 0, $p);
	$res = substr($res, $p+2);
	$array= unserialize($res);
	$err = $array["error_code"];
	if ($err == "106")
	{
		$values["error"] = "خطا: دامنه منقضی شده است";
         $sms_url = str_replace("{admin}", $params["irtld_admincellphone"], $sms_url);
        $sms_url = str_replace("{smsnumber}", $params["irtld_smsnumber"], $sms_url);
        $sms_url = str_replace("{smsuser}", $params["irtld_smsuser"], $sms_url);
        $sms_url = str_replace("{smspassword}", $params["irtld_smspassword"], $sms_url);
        $sms_url = str_replace("{msg}", $domain_name . " - " . $err_list[$err], $sms_url);
        file_get_contents($sms_url);
	}
	else
	{

        if($authid == "#"){
$checked = "renew";
            $url = "http://www.ir.nicpanel.com/resellers/apicore.php?ac=$ac";
            $url .= "&function=renew_domain&domain=";
            $url .= $domain_name;
            $url .= "&cycle=";
            $url .= $cycle;
            $res = file_get_contents($url);
            $p = strpos($res, ";;");
            $result = substr($res, 0, $p);
            $res = substr($res, $p+2);
            $array= unserialize($res);
            $err = $array["error_code"];
            if (trim($result)!="ok")
            {
                $values["error"] = "error = ".$err;
                 $sms_url = str_replace("{admin}", $params["irtld_admincellphone"], $sms_url);
        $sms_url = str_replace("{smsnumber}", $params["irtld_smsnumber"], $sms_url);
        $sms_url = str_replace("{smsuser}", $params["irtld_smsuser"], $sms_url);
        $sms_url = str_replace("{smspassword}", $params["irtld_smspassword"], $sms_url);
        $sms_url = str_replace("{msg}", $domain_name . " - " . $err_list[$err], $sms_url);
        file_get_contents($sms_url);
            }
        }else {
$checked = "transfer";
            $url = "http://www.ir.nicpanel.com/resellers/apicore.php?ac=$ac";
            $url .= "&function=transfer_domain&domain=";
            $url .= $domain_name;
            $url .= "&cycle=";
            $url .= $cycle;
            $url .= "&holder_id=";
            $url .= $holder_id;
            $url .= "&admin_id=";
            $url .= $holder_id;
            $url .= "&technical_id=";
            $url .= $holder_id;
            $url .= "&billing_id=";
            $url .= $holder_id;
            $url .= "&pin_code=";
            $url .= $authid;
            $res = file_get_contents($url);
            $p = strpos($res, ";;");
            $result = substr($res, 0, $p);
            $res = substr($res, $p + 2);
            $array = unserialize($res);
            $err = $array["error_code"];
            if (trim($result) != "ok") {
                $values["error"] = "error = " . $err;
                 $sms_url = str_replace("{admin}", $params["irtld_admincellphone"], $sms_url);
        $sms_url = str_replace("{smsnumber}", $params["irtld_smsnumber"], $sms_url);
        $sms_url = str_replace("{smsuser}", $params["irtld_smsuser"], $sms_url);
        $sms_url = str_replace("{smspassword}", $params["irtld_smspassword"], $sms_url);
        $sms_url = str_replace("{msg}", $domain_name . " - " . $err_list[$err], $sms_url);
        file_get_contents($sms_url);
            }
        }
	}
	
	$myFile = $_SERVER['DOCUMENT_ROOT']."/irtld_log.txt";
	$fh = fopen($myFile, 'a');
	fwrite($fh, "renew_domain => ".$domain_name."  -  ".$holder_id."  -  ".$res." - " . $ac ."  -  ".$err."=" . $authid . " - " . $checked ."\r\n");
	fclose($fh);
	
	return $values;
}
?>